Skip to main content
GET
List available phone numbers

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

country_id
integer<int32>
required

The unique ID of the country.

city_id
integer<int32>
required

The unique ID of the city.

Query Parameters

text_enabled_only
boolean

When true, returns only text-enabled phone numbers.

page
integer<int32>

Page number to retrieve. Default 1.

per_page
integer<int32>

Number of records to return per page. Default 25.

Response

Returns a paginated list of available phone numbers.

dids
AvailableNumber · object[]
required

Phone numbers available for purchase that match the search criteria.

pagination
Pagination · object
required